@import url('https://fonts.googleapis.com/css2?family=Comic+Neue:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

  /* user styles */

   /* styles are what change the color and sizes of stuff on your site. */

   /* these are variables that are being used in the code
these tended to confuse some people, so I only kept 
the images as variables */

   /* Theme toggle */

   .status {
    max-width: 800px;
    display: block;
    margin: 0 auto;
    padding: 5px;
    flex: 2;
   }

   .theme-and-status {
    display: flex;
    flex-direction: row;
    gap: 2em;
    margin-right: 25px;
    margin-left: 25px;
    justify-content: space-between;
    align-items: center;
   }

   #theme-toggle {
     background-color: var(--secondary);
     color: var(--accent);
     font-size: 25px;
     border: 2px solid var(--accent);
     padding: 5px;
     border-radius: 5px;
     font-family: "Comic Neue", "Comic Sans MS", "Comic Sans", sans-serif;
     margin-top: 5px;
     
     flex: 1;
     
   }

   #theme-toggle:hover {
     background-color: var(--primary);
     color: var(--bg-color);
     border: none;
     animation: rubberBand;
     animation-duration: 0.8s;
   }

   :root {
     --header-image: url('../images/header.png');
     --small-header-image: url('../images/header small.png');
     --body-bg-image: url('../images/bg.png');

     /* colors */
     --content: #4c297c;
     --bg-color: #090d04;
     --primary: #bbdd92;
     --secondary: #13092D;
     --accent: #ED64F5;
     --border-color: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVCAYAAACpF6WWAAAAiklEQVQ4T2NkAIK3KV//g2hqAOE53IyMIANBDBhNrsHI5qAYRq7ByAaCHIXhQlINRjcQq6GwMAYFCaGgwGYgTkOJjTxYXKBbjjWCiA0CXKlm1FBI4kcO7NEwxQgSbBlh4JMUzXIUoXwPk8eWVbGWUsQaiMtgjPKUVAOxGYxS8pNrILrB4JxE7ToKAF+57jXAHFs5AAAAAElFTkSuQmCC") 7 / 7px / 0 round;
   }

   :root[theme='light'] {
     /* colors */
     --content: #4c297c;
     --bg-color: #fffcf9;
     --primary: #1f0c01;
     --secondary: #d4a0ff;
     --accent: #7a1d82;
     --border-color: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVCAYAAACpF6WWAAAAiklEQVQ4T2NkAIIq2ab/IJoaoO1xHSMjyEAQA0aTazCyOSiGkWswsoEgR2G4kFSD0Q3EaigsjEFBQigosBmI01BiIw8WF+iWY40gYoMAV6oZNRSS+JEDezRMMYIEW0YY+CRFsxxFKN/D5LFlVaylFLEG4jIYozwl1UBsBqOU/OQaiG4wOCdRu44CAAGA197VGVG2AAAAAElFTkSuQmCC") 7 / 7px / 0 round;
   }

   body {
    font-size: 18px;
    font-family: "Comic Neue", "Comic Sans MS", "Comic Sans", sans-serif;
    margin: 0;
    background-color: #08031A;
    /* you can delete the line below if you'd prefer to not use an image */
    background-size: 30%;
    background-repeat: repeat;
    color: #fceaff;
    background-image: var(--body-bg-image), linear-gradient(0deg, rgba(229, 25, 242, 0.5) 0%, rgba(139, 112, 255, 0.5) 100%);
    background-blend-mode: screen;
  }

  * {
    box-sizing: border-box;
  }


  /* Start https://www.cursors-4u.com */
  * {
    cursor: url(https://cur.cursors-4u.net/nature/nat-8/nat783.cur), auto !important;
  }

  #container {
    max-width: 90%;
    /* this is the width of your layout! */
    /* if you change the above value, scroll to the bottom
and change the media query according to the comment! */
    margin: 0 auto;

    /* this centers the entire page */
  }

  /* the area below is for all links on your page
EXCEPT for the navigation */
  #container a {
    color: var(--accent);
    font-weight: bold;
    /* if you want to remove the underline
you can add a line below here that says:
text-decoration:none; */
  }

  #container a:hover {
    color: var(--primary);
  }

  .main {
    background-color: var(--bg-color);
    flex: 1;
    padding: 20px;
    order: 2;
    box-shadow: 4px 3px 5px 0px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 4px 3px 5px 0px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 4px 3px 5px 0px rgba(0, 0, 0, 0.75);

  }
  
  /* Preloader */
  #preloader {
    background: var(--secondary)
      url("https://samherbert.net/svg-loaders/svg-loaders/spinning-circles.svg")
      no-repeat center;
    align-items: center;
    justify-content: center;
    width: 100%;
    display: flex;
    position: fixed;
    height: 100vh;
    left: 0;
    top: 0;
    z-index: 9999;
  }



/* =======GALLERY ITSELF======== */

[name=archive] {
    display: none;
  }
  
  [name=gallery] {
    max-width: 100%;
    padding: 1em 1em 0 1em;
    padding: 1em 0 0 0;
    box-sizing: border-box;
  }
  
  img,
  video,
  iframe {
    display: block;
  }
  
  
  /*=========== GRID ===========*/
  
  .grid {
    margin: 1em auto;
    padding: 0 1em;
    justify-content: space-around;
    justify-items: center;
    align-items: center;
  }
  
  .grid .card {
    position: relative;
    text-align: center;
    padding: 0 0em;
    margin: 0 1em;
  }
  
  .grid .permalink {
    margin: auto;
    max-width: 100%;
    text-align: center;
    position: relative;

    img {
        border-image: var(--border-color);
        border-width: 7px;
        border-style: solid;
    }
  }
  .grid .permalink:after {
    content:'';
    position: absolute;
    top:0;
    left:0;
    right:0;
    bottom: 0;
  }

  .grid .permalink:hover {
    img {
        animation: rubberBand;
        animation-duration: 0.8s;
    }
  }
  
  
  
  .grid .permalink.title {
    display: block;
    margin: .5em 0 0 0;
    color:  var(--accent);
    font-weight: bold;
    text-decoration: none;
  }
  .grid .permalink.title:focus,
  .grid .permalink.title:hover {
    text-decoration: underline;
  }
  
  .grid .taglist {
    text-align: center;
    background: var(--secondary);
    border: 1px solid var(--accent);
    border-radius: 5px;
  }
  
  /* nomasonry */
  
  .grid.nomasonry {
    justify-content: space-around;
  }
  
  .grid.nomasonry img,
  .grid.nomasonry video,
  .grid.nomasonry iframe {
    max-width: 100%;
  }
  
  .nomasonry .card {
    justify-content: center;
    justify-items: center;
    align-items: start;
  }
  
  .nomasonry .permalink.title {
    display: inline-block;
    min-height: 0;
  }
  
  
  
  /*=========== FORM ===========*/
  
  .search-form {
    box-sizing: border-box;
    line-height: 1.5;
    width: fit-content;
    max-width: 100%;
    margin: auto 1em;
  }
  .search-form label{
    display: inline-block;
    margin: .125em;
  }
  
  .search-form input {
    font: inherit;
    border-radius: .25em;
  }
  
  .results {
    margin: 1em;
  }
  
  
  
  
  /*=========== NAV ===========*/
  
  
  .navigation,
  .pagination {
    text-align: center;
    margin: 1em auto;
    padding: 0 1em;
  }
  
  .pagination:not(:first-of-type) {
    margin-top: 3em;
  }
  
  .all-tags {
    text-align: left;
  }
  
  .pagination label,
  .navigation a,
  .pagination a {
    color: #337287;
    border: .125em solid transparent;
    display: inline-block;
    padding: .5em;
    line-height: 1;
    text-decoration: none;
    border-radius: .25em;
    vertical-align: middle;
    margin: .125em 0;
    font-weight: bold;
  }
  .pagination a[aria-current] {
    text-decoration: underline double;
    font-weight: bold;
  }
  .navigation a:hover,
  .navigation a:focus,
  .pagination a:focus,
  .pagination a:hover {
    border-color: black;
  }
  
  
  
  
  
  
  
  
  /*=========== VIEW ===========*/
  
  .view .card {
    position: relative;
    border-radius: .25em;
    margin: 1em auto;
    padding: 0 1em;
  }
  .download {
    display: block;
    width: fit-content;
    text-align: right;
    margin-right: 0;
    margin-left: auto;
  }
  .view img,
  .view video {
    display: block;
    margin: 1em auto;
    width: 100%;
  }
  
  .view iframe {
    display: block;
    margin: 1em auto;
    width: 100vh;
    height: 75vh;
  }
  
  @media (min-height: calc(100vw - 2em)) {
    .view iframe {
      width: 100%;
      height: 75vw;
    }
  }

  @media (width > 800px) {
    .view img {
        width: 600px;
    }
  }
  
  
  
  
  
  
  /*=========== TAGS ===========*/
  
  .taglist {
    display: block;
    list-style-type: none;
    margin: 0;
    padding:0;
    text-align: left;
    font-size: smaller;
    position: relative;
  }
  .taglist:before {
    content: 'in ';
  }
  .tag {
    display: inline-block;
  }
  
  .tag a {
    color: #3B5A4A;
    border-radius: .25em;
    margin: 0 .125em;
    padding: .125em;
    line-height: 1;
    text-decoration: none;
    transition:
      background-color .25s,
      color .25s;
  }
  .tag:not(:last-child) a:after {
    content: ','
  }
  
  .tag a:focus, 
  .tag a:hover {
    text-decoration: underline;
  }